package com.tjk.entity;

/**
 * ProductCommission entity. @author MyEclipse Persistence Tools
 */

public class ProductCommission implements java.io.Serializable {
	private static final long serialVersionUID = 2543768764575333674L;
	// Fields

	private Integer id;
	private Integer productId;
	private String amount;
	private String commission;
	private String description;
	private Integer sortId;

	// Constructors

	/** default constructor */
	public ProductCommission() {
	}

	/** full constructor */
	public ProductCommission(Integer productId, String amount,
			String commission, String description, Integer sortId) {
		this.productId = productId;
		this.amount = amount;
		this.commission = commission;
		this.description = description;
		this.sortId = sortId;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public String getAmount() {
		return this.amount;
	}

	public void setAmount(String amount) {
		this.amount = amount;
	}

	public String getCommission() {
		return this.commission;
	}

	public void setCommission(String commission) {
		this.commission = commission;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getSortId() {
		return this.sortId;
	}

	public void setSortId(Integer sortId) {
		this.sortId = sortId;
	}

}